namespace Ato.CD.Inbound.Shared
{
    public class Schedule
    {
        private readonly string _name;

        private Schedule(string name)
        {
            _name = name;
        }
        public static Schedule CGNFT => new Schedule("CGNFT");
        public static Schedule CGLS => new Schedule("CGLS");
        public static Schedule CGTS => new Schedule("CGTS");
        public static Schedule DIS => new Schedule("DIS");
        public static Schedule DISTBENTRT => new Schedule("DISTBENTRT");
        public static Schedule FTER => new Schedule("FTER");
        public static Schedule IDS => new Schedule("IDS");
        public static Schedule IEE => new Schedule("IEE");
        public static Schedule LS => new Schedule("LS");
        public static Schedule LSSCRRYBCK => new Schedule("LSSCRRYBCK");
        public static Schedule PSS => new Schedule("PSS");
        public static Schedule RDTIS => new Schedule("RDTIS");
        public static Schedule RPTTAXPOS => new Schedule("RPTTAXPOS");
        public static Schedule RS => new Schedule("RS");
        public static Schedule TRTAMIS => new Schedule("TRTAMIS");

        public override string ToString()
        {
            return _name;
        }
    }
}
